---
title: Home
---

# Osmosis Docs

Welcome to the official documentation for Osmosis, an advanced automated market maker (AMM) protocol that allows developers to build customized AMMs with sovereign liquidity pools. Built using the Cosmos SDK, Osmosis utilizes Inter-Blockchain Communication (IBC) to enable cross-chain transactions.

<div class="cards twoColumn">
  <a href="overview/" class="card">
    <img src="img/book-open-reader-solid.svg" class="filter-icon"/>
    <div class="title">
      Overview
    </div>
    <div class="text">
      For a basic introduction or to learn how to get started using the Osmosis Lab
    </div>
  </a>
  <a href="developing/" class="card">
    <img src="img/code-solid.svg" class="filter-icon"/>
    <div class="title">
      Develop
    </div>
    <div class="text">
      Learn about the Osmosis Daemon, CLI, Modules, and create a node to join the testnet or mainnet 
    </div>
  </a>

  <a href="validators/" class="card">
    <img src="img/circle-check-solid.svg" class="filter-icon"/>
    <div class="title">
      Validate
    </div>
    <div class="text">
      Turn your node into a validator to earn OSMO and help secure the network
    </div>
  </a>

  <a href="integrate/" class="card">
    <img src="img/code-pull-request-solid.svg" class="filter-icon"/>
    <div class="title">
      Integrate
    </div>
    <div class="text">
      List your own token on Osmosis
    </div>
  </a>

</div>

<br />

<div class="cards threeColumn">
  <a href="https://app.osmosis.zone/" class="card lg" target="_blank">
    <img src="img/osmologo.svg">
    <div class="title">
     Osmosis DEX 
    </div>
    <div class="text">
      Launch the Osmosis Automated Market Maker
    </div>
  </a>
<a href="https://discord.gg/x3eRgAWbhw" class="card lg" target="_blank">
    <img src="img/discord.svg">
    <div class="title">
     Discord
    </div>
    <div class="text">
      Chat with the Osmosis community on Discord
    </div>
  </a>
  <a href="https://github.com/osmosis-labs/osmosis" class="card lg" target="_blank">
    <img src="img/github.svg">
    <div class="title">
    Found an Issue? 
    </div>
    <div class="text">
    Improve this page by adding suggestions on Github.
    </div>
  </a>
</div>

<br />

# Network Resources
<br />
<br />
<div class="cards threeColumn">
  <a href="https://mintscan.io/osmosis" class="card lg" target="_blank">
    <img src="img/mintscan.png">
    <div class="title">
     Mintscan 
    </div>
    <div class="text">
     Block Explorer
    </div>
  </a>
  <a href="https://osmosis.bigdipper.live" class="card lg" target="_blank">
    <img src="img/bigdipper.png">
    <div class="title">
     Big Dipper
    </div>
    <div class="text">
     Block Explorer
    </div>
  </a>
  <a href="https://ping.pub/osmosis" class="card lg" target="_blank">
    <img src="img/ping.png">
    <div class="title">
     Ping.pub
    </div>
    <div class="text">
     Block Explorer
    </div>
  </a>
</div>
<br />
<div class="cards threeColumn">
  <a href="https://info.osmosis.zone/" class="card lg" target="_blank">
    <img src="img/stats_app.png">
    <div class="title">
      Osmosis Stats
    </div>
    <div class="text">
     Pool & Token Statistics
    </div>
  </a>
  <a href="https://api-osmosis.imperator.co/swagger" class="card lg" target="_blank">
    <img src="img/swagger.png">
    <div class="title">
     REST
    </div>
    <div class="text">
     Hosted by Imperator.co (1317)
    </div>
  </a>
  <a href="https://rpc-osmosis.keplr.app/" class="card lg" target="_blank">
    <img src="img/tender-rpc.png">
    <div class="title">
     Tendermint RPC
    </div>
    <div class="text">
     Hosted by Keplr (26657)
    </div>
  </a>
</div>

